#!/bin/bash

CONF_FILE=/etc/squid/squid.conf
if [ ! -f $CONF_FILE ]; then
    # silently exit if no configuration file
    exit 0
fi
ACCESS_LOG="`awk '$1 == "access_log" {x=$2} END{print x}' $CONF_FILE`"
if [ -z "$ACCESS_LOG" ]; then
    # silently exit if no access_log setting in the configuration file
    exit 0
fi
LOGFILE="`dirname $ACCESS_LOG`/squidcron.log"

if [ ! -f $LOGFILE.old ]; then
    touch $LOGFILE.old
elif [ -n "`find $LOGFILE.old -mtime +7 2>/dev/null`" ]; then
    rm -f $LOGFILE.old
    mv $LOGFILE $LOGFILE.old
fi

date >> $LOGFILE
/usr/sbin/fn-local-squid.sh rotate 2>&1 >> $LOGFILE

