#!/bin/bash

CONF_FILE=/etc/squid/squid.conf
if [ ! -f $CONF_FILE ]; then
    # silently exit if no configuration file
    exit 0
fi
ACCESS_LOG="`awk '$1 == "access_log" {x=$2} END{print x}' $CONF_FILE`"
if [ -z "$ACCESS_LOG" ]; then
    # silently exit if no access_log setting in the configuration file
    exit 0
fi
LOGFILE="`dirname $ACCESS_LOG`/squidcron.log"

date >> $LOGFILE

# to override the default value of a "large" log file, export environment
#   variable LARGE_ACCESS_LOG set to the maximum number of bytes in one
#   of these files
if [ -f /etc/sysconfig/frontier-squid ]; then
    eval `grep LARGE_ACCESS_LOG /etc/sysconfig/frontier-squid`
elif [ -f /etc/sysconfig/frontier-squid.sh ]; then
    eval `grep LARGE_ACCESS_LOG /etc/sysconfig/frontier-squid.sh`
fi
/usr/sbin/fn-local-squid.sh rotateiflarge 2>&1 >> $LOGFILE
